Subject: bug#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace))

From: Jim Meyering <[email-masked]>
Date: Thu, 01 Dec 2011 17:13:06 +0100

Paul Eggert wrote:
>> So anyone can reproduce it by running this and then hitting ^C:
>>  $ touch /tmp/k; emacs -q --eval "(require 'saveplace)" /tmp/k
>>  ^CFatal error (6)zsh: abort (core dumped)  emacs -q --eval "(require\
>>    'saveplace)" /tmp/k
>>  [Exit 134 (ABRT)]
>
> Unfortunately I can't reproduce this problem, with either Fedora 15 Emacs
> or with the latest trunk (built with GCC 4.6.2, x86-64).  Which version of
> Emacs and which platform are you using?  Can you send a GDB backtrace?
> Assuming it's the trunk, it's helpful to compile without optimization
> when getting a backtrace.

Hi Paul,
It was with the latest emacs from bzr (some time yesterday),
built on Fedora 16 using gcc-4.7.0 20111124.

If I find time today, I'll narrow it down or post a backtrace.